import request from '@/utils/request'

// 查询消防批文清单列表
export function listFireapproval(query) {
  return request({
    url: '/ehs/fireapproval/list',
    method: 'get',
    params: query
  })
}

// 查询消防批文清单详细
export function getFireapproval(id) {
  return request({
    url: '/ehs/fireapproval/' + id,
    method: 'get'
  })
}

// 新增消防批文清单
export function addFireapproval(data) {
  return request({
    url: '/ehs/fireapproval',
    method: 'post',
    data: data
  })
}

// 修改消防批文清单
export function updateFireapproval(data) {
  return request({
    url: '/ehs/fireapproval',
    method: 'put',
    data: data
  })
}

// 删除消防批文清单
export function delFireapproval(id) {
  return request({
    url: '/ehs/fireapproval/' + id,
    method: 'delete'
  })
}

// 导出消防批文清单
export function exportFireapproval(query) {
  return request({
    url: '/ehs/fireapproval/export',
    method: 'get',
    params: query
  })
}

